# Interface Injectable

All Known Implementing Classes:
  `ContextEjb, ContextEnvironment, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService, MessageDestination, MessageDestinationRef, ResourceBase`

public interface Injectable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInjectionTarget(String injectionTargetName, String jndiName)`
  `List<InjectionTarget>`
  `getInjectionTargets()`
  `String`
  `getName()`

- ## Method Details

  - ### getName

    String getName()

  - ### addInjectionTarget

    void addInjectionTarget(String injectionTargetName, String jndiName)

  - ### getInjectionTargets

    List<InjectionTarget> getInjectionTargets()